%define modname benchmark

Name:           ocaml-%{modname}
Version:        1.6
Release:        %mkrel 7
Summary:        OCaml module for benchmarking code
Group:          Development/OCaml
License:        LGPLv3+ with exceptions
URL:            http://ocaml-benchmark.forge.ocamlcore.org/
Source0:        https://github.com/Chris00/ocaml-benchmark/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-dune
BuildRequires:  opam

%description
OCaml Benchmark is a small module to benchmark running times of code.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
dune build @install

%install
dune install --destdir=%{buildroot}

# These files will be installed using the doc and license directives
rm -rf %{buildroot}/%{_prefix}/doc/

# Makes *.cmxs executable such that they will be stripped.
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

%check
%ifnarch %{arm}
dune runtest
%endif

%files
%doc README.md CHANGES.md
%license LICENSE.md
%dir %{_libdir}/ocaml/%{modname}
%{_libdir}/ocaml/%{modname}/META
%{_libdir}/ocaml/%{modname}/opam
%{_libdir}/ocaml/%{modname}/*dune*
%{_libdir}/ocaml/%{modname}/*.cma
%{_libdir}/ocaml/%{modname}/*.cmx
%{_libdir}/ocaml/%{modname}/*.cmi
%{_libdir}/ocaml/%{modname}/*.cmxs

%files devel
%license LICENSE.md
%doc examples/
%{_libdir}/ocaml/%{modname}/*.a
%{_libdir}/ocaml/%{modname}/*.cmxa
%{_libdir}/ocaml/%{modname}/*.ml
%{_libdir}/ocaml/%{modname}/*.mli
%{_libdir}/ocaml/%{modname}/*.cmt
%{_libdir}/ocaml/%{modname}/*.cmti


%changelog
* Thu May 19 2022 pterjan <pterjan> 1.6-7.mga9
+ Revision: 1859003
- Rebuild for OCaml 4.14

* Fri Oct 15 2021 tv <tv> 1.6-6.mga9
+ Revision: 1751533
- Rebuild for ocaml 4.13.1

* Thu Mar 25 2021 tv <tv> 1.6-5.mga9
+ Revision: 1709771
- Rebuild for ocaml-4.12

* Sun Jan 10 2021 pterjan <pterjan> 1.6-4.mga8
+ Revision: 1670432
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1.6-3.mga8
+ Revision: 1551480
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 1.6-2.mga8
+ Revision: 1545293
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 tv <tv> 1.6-1.mga8
+ Revision: 1484353
- fix conversion to dune
+ daviddavid <daviddavid>
- new version: 1.6
- port to Dune

* Tue Oct 23 2018 tv <tv> 1.5-6.mga7
+ Revision: 1324109
- rebuild with ocaml-4.07.1

* Mon Oct 22 2018 pterjan <pterjan> 1.5-5.mga7
+ Revision: 1323918
- Rebuild for ocaml 4.07

* Sun Sep 23 2018 umeabot <umeabot> 1.5-4.mga7
+ Revision: 1299837
- Mageia 7 Mass Rebuild

* Thu Jul 05 2018 daviddavid <daviddavid> 1.5-3.mga7
+ Revision: 1241792
- update files list

* Tue May 22 2018 daviddavid <daviddavid> 1.5-2.mga7
+ Revision: 1231373
- disable testsuite on arm

* Tue May 22 2018 daviddavid <daviddavid> 1.5-1.mga7
+ Revision: 1231368
- new version: 1.5
- switch to jbuilder

* Fri Mar 23 2018 daviddavid <daviddavid> 1.4-1.mga7
+ Revision: 1211561
- new version: 1.4

* Sat Jan 06 2018 tv <tv> 1.3-3.mga7
+ Revision: 1190786
- BR ocaml-ocamlbuild-devel
- rebuild for new ocaml

* Mon Sep 26 2016 pterjan <pterjan> 1.3-2.mga6
+ Revision: 1056250
- Rebuild for fix in ocaml

* Thu Feb 18 2016 daviddavid <daviddavid> 1.3-1.mga6
+ Revision: 965988
- new version: 1.3
- fix BuildRequires

* Fri Jan 29 2016 pterjan <pterjan> 1.2-6.mga6
+ Revision: 929040
- Update file list
- Rebuild for new ocaml

* Wed Oct 15 2014 umeabot <umeabot> 1.2-5.mga5
+ Revision: 748703
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2-4.mga5
+ Revision: 682989
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.2-3.mga4
+ Revision: 536413
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 blue_prawn <blue_prawn> 1.2-2.mga4
+ Revision: 484223
- rebuild for ocaml-4.01.0

* Sat Jun 29 2013 malo <malo> 1.2-1.mga4
+ Revision: 448323
- update to 1.2 and spec clean-up
+ blue_prawn <blue_prawn>
- providing the generated api documentation
- providing the examples
- don't create unneeded directories
- use a safer URI
- if you would use this link you would get the previous version 1.0 even if there is 1.1 after due to how fusion forge works

* Sat Jan 12 2013 umeabot <umeabot> 1.1-4.mga3
+ Revision: 361156
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 malo <malo> 1.1-3.mga3
+ Revision: 307712
- fix buildrequires
- fix compilation
+ blue_prawn <blue_prawn>
- new rpm group for ocaml
- new rpm group for ocaml

* Thu Mar 01 2012 blue_prawn <blue_prawn> 1.1-1.mga2
+ Revision: 216285
- update to new version 1.1

* Sat Oct 22 2011 malo <malo> 1.0-2.mga2
+ Revision: 157422
- update license and rebuild for Ocaml 3.12.1

* Sun Sep 25 2011 shlomif <shlomif> 1.0-1.mga2
+ Revision: 147786
- New version - thank to Malo

* Tue Apr 12 2011 ennael <ennael> 0.9-1.mga1
+ Revision: 83664
- fix release tag
- Imported package ocaml-benchmark from Mandriva where it was made by Per Øyvind Karlsen.

